Hi all. I've found this at Altiverb forum, following a link at macmusic.org giving publicity to Lion support:

Altiverb 6.3.7 for Mac (adds Lion support)
03. Nov 2011 at 11:10
Hi !

Altiverb 6.3.7 is available for download right now.
This update adds compatibility with Mac OS X 10.7 (Lion).

One note:
The Audio Unit still crashes Audio Unit (AU) validation in Logic 9 on Lion, however when you select to load Altiverb 6 anyway, it will function properly (when used as 'incompatible' plug-in).

You can request a download link for this update at:

Sorry you had to wait for this. We were very busy with Altiverb 7 which is just around the corner.. (I'll post more info on 7 soon here, on youtube and maybe facebook too).

Audio Ease
Hope this is a good new for all Altiverb users. I simply can't afford it.